org.gitana.platform.services.transfer

## Class TransferConfiguration

- java.lang.Object
- - org.gitana.platform.support.GitanaObjectImpl
  - - org.gitana.platform.services.transfer.TransferConfiguration

All Implemented Interfaces:
  Serializable, GitanaObject, JSONable

Direct Known Subclasses:
  TransferExportConfiguration, TransferImportConfiguration

    public abstract class TransferConfiguration
    extends GitanaObjectImpl

Author:
  uzi
See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `TransferConfiguration()`
`protected` `TransferConfiguration(com.fasterxml.jackson.databind.node.ObjectNode object)`

### Method Summary

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransferConfiguration

    protected TransferConfiguration()

#### TransferConfiguration

    protected TransferConfiguration(com.fasterxml.jackson.databind.node.ObjectNode object)